Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.groovydoc
[Java] Class SimpleGroovyTag

    java.lang.Object
      org.codehaus.groovy.tools.groovydoc.SimpleGroovyTag

All Implemented Interfaces:
  GroovyTag

    public class SimpleGroovyTag
    extends java.lang.Object

Stores info about GroovyDoc tags.

Constructor Summary
`SimpleGroovyTag(java.lang.String name, java.lang.String param, java.lang.String text)`

Method Summary
`java.lang.String` | `name()`
`java.lang.String` | `param()`
`java.lang.String` | `text()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### SimpleGroovyTag

    public SimpleGroovyTag(java.lang.String name, java.lang.String param, java.lang.String text)

Method Detail

### name

    public java.lang.String name()

### param

    public java.lang.String param()

### text

    public java.lang.String text()

Groovy Documentation